summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-05-15 22:00:04 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-05-15 22:01:18 +0200
commit0954f3ca47582e54217bca71e8e3490b0ab88d5d (patch)
tree274d47508d89d519a25d70570750c9d4027b4a34
parentdev-libs/libpqxx: Cleanup (diff)
downloadgentoo-0954f3ca47582e54217bca71e8e3490b0ab88d5d.zip
gentoo-0954f3ca47582e54217bca71e8e3490b0ab88d5d.tar.gz
gentoo-0954f3ca47582e54217bca71e8e3490b0ab88d5d.tar.bz2
dev-util/drone-cli: Version bump to 0.8.6
Package-Manager: Portage-2.3.36, Repoman-2.3.9
-rw-r--r--dev-util/drone-cli/Manifest1
-rw-r--r--dev-util/drone-cli/drone-cli-0.8.6.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-util/drone-cli/Manifest b/dev-util/drone-cli/Manifest
index 9c6e894..6c729f1 100644
--- a/dev-util/drone-cli/Manifest
+++ b/dev-util/drone-cli/Manifest
@@ -1,2 +1,3 @@
DIST drone-cli-0.7.0_p20170717.tar.gz 1148862 BLAKE2B a631b546917c542dc9395a2390a8f22c6f041314ece6cd185fbfd312a636040098c7f50f1ae07bedaba5ca1d718ad2a6741a24322ad0d9c291addf11b9b74035 SHA512 f901b9409354c9dc3bf21024f82a188e789c8ab05e8bca179cc77069baf024f40ce13995230f48d5c40e7485ab31bb3f22fae0ca68a8669295cdfb11dbb1b168
DIST drone-cli-0.8.5.tar.gz 1381755 BLAKE2B 329a73490af7dced38e5a8ca7c8799e3cec5f8f2da396cf2c7e307cf65967c7688e1d9df3484a45da1906a187edfc3d4e45c48c7953549d61cf40903c334da07 SHA512 2e42b5aedf6b4b2666da84e457a161312c59a2e0d8785167ddc272f016d5ffaf4e5964e0da4135ad459a767b16259f8905fdd222e87247ad1915cdf2f85ed50f
+DIST drone-cli-0.8.6.tar.gz 1778122 BLAKE2B 040c93386330990a5f4e38f6ca353226145a99d14adc141243900fb4cd3d28bc87665bc6f466b31cd1e5561df31edd378049f0e38e28006206c3cf02ac0d5c21 SHA512 51eb538d5571b2e48722e4e4de6f9d6fc67375e55284f6bdec5c4c495a67e0808f9d158ba925849353bdff7903df2ecae7a073d88185fc607d45383f4f2f5c0d
diff --git a/dev-util/drone-cli/drone-cli-0.8.6.ebuild b/dev-util/drone-cli/drone-cli-0.8.6.ebuild
new file mode 100644
index 00000000..8598f22
--- /dev/null
+++ b/dev-util/drone-cli/drone-cli-0.8.6.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="github.com/drone/drone-cli"
+EGIT_COMMIT="800d6949bd96847b4d5c400e261b18386ea2226f"
+
+inherit golang-build golang-vcs-snapshot
+
+ARCHIVE_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Command-line interface for Drone"
+HOMEPAGE="https://github.com/drone/drone-cli"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+RESTRICT="test"
+
+RDEPEND="!!<dev-util/drone-0.7"
+
+src_compile() {
+ pushd src || die
+ GOPATH="${WORKDIR}/${P}"\
+ go install -ldflags "-X main.version=${PV}.${EGIT_COMMIT:0:7}" ${EGO_PN}/drone || die
+ popd || die
+}
+
+src_install() {
+ dobin bin/drone
+ dodoc src/${EGO_PN}/README.md
+}